From fm@astral.ntu-kpi.kiev.ua  Wed Apr 17 04:24:33 2002
Return-Path: <fm@astral.ntu-kpi.kiev.ua>
Received: from relay1.ntu-kpi.kiev.ua (www.ntu-kpi.kiev.ua [212.111.192.161])
	by hub.freebsd.org (Postfix) with ESMTP id D391F37B404
	for <FreeBSD-gnats-submit@freebsd.org>; Wed, 17 Apr 2002 04:24:30 -0700 (PDT)
Received: from astral.ntu-kpi.kiev.ua (if100Mbit.astral.ntu-kpi.kiev.ua [10.100.5.14])
	by relay1.ntu-kpi.kiev.ua (Postfix) with ESMTP id 530F52EEDA
	for <FreeBSD-gnats-submit@freebsd.org>; Wed, 17 Apr 2002 14:24:26 +0300 (EEST)
Received: (from fm@localhost)
	by astral.ntu-kpi.kiev.ua (8.11.6/8.11.6) id g3HBNWL73659;
	Wed, 17 Apr 2002 14:23:32 +0300 (EEST)
	(envelope-from fm)
Message-Id: <200204171123.g3HBNWL73659@astral.ntu-kpi.kiev.ua>
Date: Wed, 17 Apr 2002 14:23:32 +0300 (EEST)
From: "Dmitry A. Yanko" <fm@astral.ntu-kpi.kiev.ua>
Reply-To: "Dmitry A. Yanko" <fm@astral.ntu-kpi.kiev.ua>
To: FreeBSD-gnats-submit@freebsd.org
Cc:
Subject: maintainer-update port: ftp/lftp
X-Send-Pr-Version: 3.113
X-GNATS-Notify:

>Number:         37184
>Category:       ports
>Synopsis:       maintainer-update port: ftp/lftp
>Confidential:   no
>Severity:       non-critical
>Priority:       medium
>Responsible:    freebsd-ports
>State:          closed
>Quarter:        
>Keywords:       
>Date-Required:  
>Class:          change-request
>Submitter-Id:   current-users
>Arrival-Date:   Wed Apr 17 04:30:00 PDT 2002
>Closed-Date:    Wed Apr 17 06:53:32 PDT 2002
>Last-Modified:  Wed Apr 17 06:53:32 PDT 2002
>Originator:     Dmitry A. Yanko
>Release:        FreeBSD 4.5-STABLE i386
>Organization:
>Environment:
>Description:
update lftp port
 - files/patch-configure deleted
>How-To-Repeat:
>Fix:

diff -ruN lftp.orig/Makefile lftp/Makefile
--- lftp.orig/Makefile	Wed Apr 17 13:39:15 2002
+++ lftp/Makefile	Wed Apr 17 13:42:18 2002
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	lftp
-PORTVERSION=	2.5.0a
-PORTREVISION=	1
+PORTVERSION=	2.5.1
 CATEGORIES=	ftp ipv6
 MASTER_SITES=	ftp://ftp.yars.free.net/pub/software/unix/net/ftp/client/lftp/ \
 		ftp://ftp.yars.free.net/pub/software/unix/net/ftp/client/lftp/old/ \
diff -ruN lftp.orig/distinfo lftp/distinfo
--- lftp.orig/distinfo	Wed Apr 17 13:39:15 2002
+++ lftp/distinfo	Wed Apr 17 13:40:54 2002
@@ -1 +1 @@
-MD5 (lftp-2.5.0a.tar.bz2) = 7901b3ab0fe74efbc65669fbf5654f0d
+MD5 (lftp-2.5.1.tar.bz2) = 0bbff9ad9e6d0ed7d34869009cfdaa89
diff -ruN lftp.orig/files/patch-configure lftp/files/patch-configure
--- lftp.orig/files/patch-configure	Wed Apr 17 13:39:15 2002
+++ lftp/files/patch-configure	Thu Jan  1 03:00:00 1970
@@ -1,91 +0,0 @@
---- configure.orig	Thu Mar 21 16:12:29 2002
-+++ configure	Thu Mar 21 16:13:33 2002
-@@ -19041,88 +19041,6 @@
- fi
- done
- 
--   echo "$as_me:19044: checking if trio library is needed" >&5
--echo $ECHO_N "checking if trio library is needed... $ECHO_C" >&6
--if test "${ac_cv_need_trio+set}" = set; then
--  echo $ECHO_N "(cached) $ECHO_C" >&6
--else
--
--      ac_cv_need_trio=no;
--
--      if test x$ac_cv_func_vsnprintf != xyes; then
--	 ac_cv_need_trio="yes (because there is no system vsnprintf function)"
--      else
--
--      if test "$cross_compiling" = yes; then
--  { { echo "$as_me:19057: error: cannot run test program while cross compiling" >&5
--echo "$as_me: error: cannot run test program while cross compiling" >&2;}
--   { (exit 1); exit 1; }; }
--else
--  cat >conftest.$ac_ext <<_ACEOF
--#line 19062 "configure"
--#include "confdefs.h"
--
--	 int main()
--	 {
--	    unsigned long long x=0,x1;
--	    long long y=0,y1;
--	    char buf[128];
--
--	    x=~x;
--	    sscanf("0","%llu",&x);
--	    if(x!=0) return 1;
--
--	    y=~y;
--	    sscanf("0","%lld",&y);
--	    if(y!=0) return 1;
--
--	    x=~x;
--	    sprintf(buf,"%lld %llu",y,x);
--	    sscanf (buf,"%lld %llu",&y1,&x1);
--	    if(x!=x1 || y!=y1)
--	       return 1;
--
--	    return 0;
--	 }
--_ACEOF
--rm -f conftest$ac_exeext
--if { (eval echo "$as_me:19089: \"$ac_link\"") >&5
--  (eval $ac_link) 2>&5
--  ac_status=$?
--  echo "$as_me:19092: \$? = $ac_status" >&5
--  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
--  { (eval echo "$as_me:19094: \"$ac_try\"") >&5
--  (eval $ac_try) 2>&5
--  ac_status=$?
--  echo "$as_me:19097: \$? = $ac_status" >&5
--  (exit $ac_status); }; }; then
--  :
--else
--  echo "$as_me: program exited with status $ac_status" >&5
--echo "$as_me: failed program was:" >&5
--cat conftest.$ac_ext >&5
--ac_cv_need_trio="yes (because %lld fails)"
--fi
--rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
--fi
--
--      fi
--
--fi
--echo "$as_me:19112: result: $ac_cv_need_trio" >&5
--echo "${ECHO_T}$ac_cv_need_trio" >&6
--   case $ac_cv_need_trio in
--   yes*)
--      LIBOBJS="$LIBOBJS trio.$ac_objext"
--      LIBOBJS="$LIBOBJS trionan.$ac_objext"
--      LIBOBJS="$LIBOBJS triostr.$ac_objext"
--
--cat >>confdefs.h <<\EOF
--#define TRIO_REPLACE_STDIO 1
--EOF
--
--      ;;
--   esac
- 
- # See if we have h_errno (the test is here so we can use -lresolv if necessary).
- echo "$as_me:19128: checking for h_errno" >&5
>Release-Note:
>Audit-Trail:
State-Changed-From-To: open->closed 
State-Changed-By: kevlo 
State-Changed-When: Wed Apr 17 06:53:19 PDT 2002 
State-Changed-Why:  
Committed, thanks. 

http://www.freebsd.org/cgi/query-pr.cgi?pr=37184 
>Unformatted:
